﻿// -------------------------------------------------------
// <autogenerated>
// This file was automatically generated with Reegenerator.
// Any changes made to this file will be removed when this file is regenerated.
// 
// Generator: OneAccomplishment.CodeGen.Data.LinqToDbEssentialsRenderer
// </autogenerated>
// -------------------------------------------------------

// Generated metadata.

// -------------------------------------------------------
// <autogenerated>
// This file was automatically generated with Reegenerator.
// Any changes made to this file will be removed when this file is regenerated.
// 
// Generator: OneAccomplishment.CodeGen.Data.Essentials.ConfigurationsRenderer
// </autogenerated>
// -------------------------------------------------------

namespace OneAccomplishment.Core.Services
{
    public partial interface IConfigurationService
    {
    
        /// <summary>
        /// The cookie name used for TempData correlation.
        /// </summary>
        string TempDataCorrelationCookieName { get; }
    
        /// <summary>
        /// The reserved query string parameter for TempData correlation.
        /// </summary>
        string TempDataCorrelationParamName { get; }
    
        /// <summary>
        /// Duration in hours for the login session when using the Stay Logged In feature.
        /// </summary>
        double StayLoggedInMaxDuration { get; }
    
        /// <summary>
        /// The form input name used for TempData correlation.
        /// </summary>
        string TempDataCorrelationFormName { get; }
    
        /// <summary>
        /// Duration in hours for the normal login session.
        /// </summary>
        double StayLoggedInDefaultDuration { get; }
    
        /// <summary>
        /// Number of extra tries in case of a failed login attempt.
        /// </summary>
        int LoginAttemptMaxLimit { get; }
    
        /// <summary>
        /// Timeout in seconds when repeated failed login attempts occur.
        /// </summary>
        int LoginAttemptExceededTimeout { get; }
    
    }
}

namespace OneAccomplishment.Core.Services.Configuration
{
    internal sealed partial class ConfigurationService : IConfigurationService
    {
    
        public string TempDataCorrelationCookieName
        {
            get { return (string)this.configSource.Value.TempDataCorrelationCookieName; }
        }
    
        public string TempDataCorrelationParamName
        {
            get { return (string)this.configSource.Value.TempDataCorrelationParamName; }
        }
    
        public double StayLoggedInMaxDuration
        {
            get { return (double)this.configSource.Value.StayLoggedInMaxDuration; }
        }
    
        public string TempDataCorrelationFormName
        {
            get { return (string)this.configSource.Value.TempDataCorrelationFormName; }
        }
    
        public double StayLoggedInDefaultDuration
        {
            get { return (double)this.configSource.Value.StayLoggedInDefaultDuration; }
        }
    
        public int LoginAttemptMaxLimit
        {
            get { return (int)this.configSource.Value.LoginAttemptMaxLimit; }
        }
    
        public int LoginAttemptExceededTimeout
        {
            get { return (int)this.configSource.Value.LoginAttemptExceededTimeout; }
        }
    
    }
}
// Generated configuration classes and interfaces.

// -------------------------------------------------------
// <autogenerated>
// This file was automatically generated with Reegenerator.
// Any changes made to this file will be removed when this file is regenerated.
// 
// Generator: OneAccomplishment.CodeGen.Data.Essentials.PermissionEnumsRenderer
// </autogenerated>
// -------------------------------------------------------

namespace OneAccomplishment.Core.Services.Auth
{
    public static partial class Permissions
    {
    
        public static class Administration
        {
        
            /// <summary>
            /// Administration Permission: CreateRole = 1
            /// <para>Description: Allows creation of new roles.</para>
            /// </summary>
            public const long CreateRole = 1;
        
            /// <summary>
            /// Administration Permission: ReadRole = 2
            /// <para>Description: Allows viewing of roles.</para>
            /// </summary>
            public const long ReadRole = 2;
        
            /// <summary>
            /// Administration Permission: UpdateRole = 3
            /// <para>Description: Allows modification of non-builtin roles.</para>
            /// </summary>
            public const long UpdateRole = 3;
        
            /// <summary>
            /// Administration Permission: DeleteRole = 4
            /// <para>Description: Allows deletion of non-builtin roles.</para>
            /// </summary>
            public const long DeleteRole = 4;
        
            /// <summary>
            /// Administration Permission: AssignRole = 5
            /// <para>Description: Allows assigning of roles to others.</para>
            /// </summary>
            public const long AssignRole = 5;
        
            /// <summary>
            /// Administration Permission: AdministratorClaim = 6
            /// <para>Description: Administrator Designation.</para>
            /// </summary>
            public const long AdministratorClaim = 6;
        
        }
    
    }
}
// Generated permission enumerations.

